<?php
add_action( 'after_setup_theme', 'ignition_blockchain_child_before_setup', 5 );
function ignition_blockchain_child_before_setup() {

	/*
	 * Loads the language files of the child theme (if any).
	 * If you use any of the WordPress localization functions, you will need to provide the same text domain
	 * exactly as the one mentioned below, i.e. 'ignition-blockchain-child'
	 * If you change this value, then you'll need to modify your function calls accordingly.
	 * Localization functions reference: https://codex.wordpress.org/L10n
	 */
	load_child_theme_textdomain( 'ignition-blockchain-child', get_stylesheet_directory() . '/languages' );

	/*
	 * Code added here will execute BEFORE the respective ignition_blockchain_setup() function of the parent theme.
	 */


} //ignition_blockchain_child_before_setup


add_action( 'after_setup_theme', 'ignition_blockchain_child_after_setup', 15 );
function ignition_blockchain_child_after_setup() {

	/*
	 * Code added here will execute AFTER the respective ignition_blockchain_setup() function of the parent theme.
	 */


} //ignition_blockchain_child_after_setup


add_action( 'wp_enqueue_scripts', 'ignition_blockchain_child_enqueue_scripts', 15 );
function ignition_blockchain_child_enqueue_scripts() {
	$theme = wp_get_theme();

	/*
	 * Code added here will execute AFTER the parent theme's scripts/styles have been enqueued,
	 * but haven't been printed yet.
	 */

	/*
	 * The parent theme's stylesheet, as well as this child's stylesheet, are loaded by default by the
	 * parent theme itself. This means you can easily add you CSS customizations by just adding them
	 * inside this child's style.css file.
	 */

	/*
	 * If you DON'T want the parent stylesheet to load, then uncomment the following line.
	 */
	//wp_dequeue_style( 'ignition-blockchain-style' );


	/*
	 * Note that the wp_dequeue_style() call above, does not dequeue the rest of the stylesheets.
	 * If you need the rest of the stylesheets not to load, then uncomment the following lines:
	 */
	//wp_dequeue_style( 'ignition-blockchain-main-before' );
	//wp_dequeue_style( 'ignition-blockchain-main-after' );

} //ignition_blockchain_child_enqueue_scripts

/*
 * In order to dequeue a specific parent script/style, inspect the theme's inc/scripts-styles.php and locate its
 * registration, and which variable it's added. Depending on the variable, it can be filtered via the following filters:
 * $styles_before  -> 'ignition_blockchain_styles_before_main'
 * $styles_after   -> 'ignition_blockchain_styles_after_main'
 * $scripts_before -> 'ignition_blockchain_scripts_before_main'
 * $scripts_after  -> 'ignition_blockchain_scripts_after_main'
 *
 * Once you locate the appropriate variable/filter, you can then hook and filter the array of script/style handles.
 * For example, the following filter removes 'ignition-blockchain-woocommerce' from the $styles_after array.
 */
//add_filter( 'ignition_blockchain_styles_after_main', function( $styles ) {
//	$found = array_search( 'ignition-blockchain-woocommerce', $styles, true );
//	if ( false !== $found ) {
//		unset( $styles[ $found ] );
//	}
//
//	return $styles;
//} );
