<?php
/**
 * Customizer options' and controls' parameters, and Ignition overrides
 *
 * @since 1.0.0
 */

add_filter( 'ignition_customizer_options', 'ignition_blockchain_filter_ignition_customizer_options' );
/**
 * Modifies the customizer's options parameters.
 *
 * @since 1.0.0
 *
 * @param array $options
 *
 * @return array
 */
function ignition_blockchain_filter_ignition_customizer_options( $options ) {
	$defaults = ignition_customizer_defaults( 'all' );

	//
	// CoinMarketCap
	//
	$section = 'utilities_coinmarketcap';
	/** This filter is documented in ignition/inc/customizer/options.php */
	$options = array_merge( $options, apply_filters( "ignition_customizer_{$section}_options", array(
		'theme_coinmarketcap_api_key' => array(
			'setting_args' => array(
				'default'           => $defaults['theme_coinmarketcap_api_key'],
				'sanitize_callback' => 'sanitize_text_field',
			),
			'control_args' => array(
				'section'     => $section,
				'type'        => 'text',
				'label'       => esc_html__( 'API Key', 'ignition-blockchain' ),
				/* translators: %s is a URL */
				'description' => wp_kses( sprintf( __( 'CoinMarketCap requires a valid API Key to work. You can get your API key by registering <a href="%s">here</a>', 'ignition-blockchain' ), 'https://pro.coinmarketcap.com/' ), ignition_get_allowed_tags( 'guide' ) ),
			),
		),
	) ) );


	//
	// Secondary Typography
	//
	$options['site_typo_secondary']['render_args']['breakpoints_css'] = '
		h1,h2,h3,h4,h5,h6,
		label,
		.label,
		.site-logo,
		.mobile-nav-trigger,
		.entry-item-title,
		.entry-title,
		li.wc-block-grid__product .wc-block-grid__product-title,
		.widget-product-content-wrap > a,
		.product_list_widget li > a,
		.entry-list-meta-value,
		.wp-block-latest-posts > li > a,
		.wp-block-pullquote.is-style-solid-color,
		.wp-block-quote {
			%s
		}
	';

	return $options;
}
